{%  extends 'base.html' %}

{% block content %}
    <div>
        {{ form.username.label }}: {{ form.username }}
    <ul id="user-list" style="list-style: none;">

    </ul>
    </div>

    <script>
    $("input[name='username']").keyup(function () {
        own_value = $("input[name='username']").val();
        request_url = '{%  url 'users-list' %}';
        if(own_value!='')
        {
            request_url = "{%  url 'users-list' username=1234 %}".replace('1234/', own_value.toString());
        }
        $.ajax({
            type: 'GET',
            url: request_url,
            success: function (data) {
                user_list = $('#user-list');
                user_list.empty();
                $.each(data.object_list, function (index) {
                    username = data.object_list[index]['username'];
                    link = "{% url 'user' slug=1234 %}".replace('1234', username);
                    console.log(link);
                    item_link = $('<a>').text(username);
                    item_link.attr('href', link);
                    new_item = $('<li>').append(item_link);
                    new_item.appendTo(user_list);
                });
            }
        })
    })
    </script>
{% endblock %}